--------------------------------------------------------------------------------
-- SubModule ClkDiv
-- Created   01.10.2012 23:09:26
--------------------------------------------------------------------------------
library IEEE;
use IEEE.Std_Logic_1164.all;

-- divide clock of 50 Mhz to 1 kHz

entity ClkDiv is port
   (
     CLK    : in    std_logic;
     CLKOUT : out   std_logic
   );
end ClkDiv;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
architecture Structure of ClkDiv is

-- Component Declarations

-- Signal Declarations

begin

end Structure;
--------------------------------------------------------------------------------

architecture Behavior of ClkDiv is
begin
  process(clk)
    variable cnt : integer range 0 to 50000;
    begin
      if(clk'event and clk='1') then
        if(cnt>24999) then
          clkout<='1';
          if (cnt>49999) then
            cnt:=0;
          end if;
        else
          clkout<='0';
        end if;
        cnt := cnt + 1;
      end if;
  end process;
end Behavior;
